﻿Public Class Form1

    Private mastrCompanyNames() = {"Aston Martin", _
                                   "Bang & Olufsen", _
                                   "Coca-Cola", _
                                   "Colgate-Palmolive", _
                                   "Ford Motor Company", _
                                   "Gulfstream Aerospace ", _
                                   "Honeywell", _
                                   "IKEA", _
                                   "Mozilla Foundation", _
                                   "Nabisco", _
                                   "NCR Corporation", _
                                   "Nestlé", _
                                   "Oracle", _
                                   "Pepsi", _
                                   "Red Hat", _
                                   "Rolls-Royce", _
                                   "Sun Microsystems", _
                                   "Suzuki", _
                                   "Taco Bell", _
                                   "Volkswagen"}

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Randomize()
    End Sub

    Private Sub btnLoadList_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnLoadList.Click

        Dim intX As Integer

        lstRandomItems.Items.Clear()

        For intX = 1 To 100
            lstRandomItems.Items.Add(mastrCompanyNames(GetRandomNumber(0, 19)))
        Next

    End Sub

    Private Sub btnRemoveDupes_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnRemoveDupes.Click
        RemoveListBoxDuplicates(lstRandomItems)
    End Sub

    Private Sub btnExit_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnExit.Click
        Me.Close()
    End Sub

    Private Function GetRandomNumber(ByVal pintLowerBound As Integer, _
                                     ByVal pintUpperBound As Integer) _
    As Integer

        ' This function will return a random integer that falls with the range
        ' of the two arguments passed.

        GetRandomNumber = Int((pintUpperBound - pintLowerBound + 1) * Rnd() + pintLowerBound)

    End Function

    Public Sub RemoveListBoxDuplicates(ByVal pobjLB As ListBox)

        'REMOVE DUPLICATES FROM LISTBOX

        Dim intI As Integer
        Dim intJ As Integer

        With pobjLB

            For intI = 0 To .Items.Count - 1

                For intJ = (.Items.Count - 1) To (intI + 1) Step -1

                    If .Items(intJ).ToString = .Items(intI).ToString Then
                        .Items.RemoveAt(intJ)
                    End If

                Next

            Next

        End With

    End Sub

End Class
